Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class TopicSubscriptionListener

    java.lang.Object
      |
      +--com.compoze.discussion.TopicSubscriptionListener

All Implemented Interfaces:
  java.io.Serializable

public class TopicSubscriptionListener
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getMailServer()` Gets the mail server for sending topic subscription alerts.
`java.lang.String` | `getMessage()` Gets the message of the topic subscription alerts.
`static TopicSubscriptionListener` | `i()` Gets the singleton instance of this class.
`void` | `setDefaultMailServer()` Sets the mail server to the default.
`void` | `setDefaultMessage()` Sets the message to the default.
`void` | `setDefaultMessageSubject()` Sets the message subject to the default.
`void` | `setDefaultReplyAddress()` Sets the message reply address to the default.
`void` | `setDefaultReplyName()` Sets the message reply name to the default.
`void` | `setMailServer(java.lang.String sMailServer)` Sets the mail server for sending topic subscription alerts.
`void` | `setMessage(java.lang.String sMessage)` Sets the message of the topic subscription alerts.
`void` | `updatePerformed(Topic t, java.util.List subs)` Alerts the topic subcribers of an update to the specified topic.
`void` | `updatePerformed(Topic t, User user)` Alerts the topic subcribers of an update to the specified topic.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### i

    public static TopicSubscriptionListener i()

  Gets the singleton instance of this class.

### setDefaultMailServer

    public void setDefaultMailServer()

  Sets the mail server to the default. This value defaults is the text file set in `discussion.properties` with `mail.server`.

### setDefaultMessageSubject

    public void setDefaultMessageSubject()

  Sets the message subject to the default. This value defaults is the text file set in `discussion.properties` with `topic.subscription.message.subject`.

### setDefaultReplyName

    public void setDefaultReplyName()

  Sets the message reply name to the default. This value defaults is the text file set in `discussion.properties` with `topic.subscription.reply.name`.

### setDefaultReplyAddress

    public void setDefaultReplyAddress()

  Sets the message reply address to the default. This value defaults is the text file set in `discussion.properties` with `topic.subscription.reply.address`.

### getMailServer

    public java.lang.String getMailServer()

  Gets the mail server for sending topic subscription alerts. This value defaults to the setting in `discussion.properties`.
  Returns:
    the message of the topic subscription alerts or `null` if not set

### setMailServer

    public void setMailServer(java.lang.String sMailServer)

  Sets the mail server for sending topic subscription alerts.
  Parameters:
    `sMessage` - the mail server for sending topic subscription alerts

### setDefaultMessage

    public void setDefaultMessage()

  Sets the message to the default. This value defaults is the text file set in `discussion.properties`.

### getMessage

    public java.lang.String getMessage()

  Gets the message of the topic subscription alerts. This value defaults to the text file set in `discussion.properties`.
  Returns:
    the message of the topic subscription alerts or `null` if not set

### setMessage

    public void setMessage(java.lang.String sMessage)

  Sets the message of the topic subscription alerts.
  Parameters:
    `sMessage` - message of the topic subscription alerts

### updatePerformed

    public void updatePerformed(Topic t,
                                User user)

  Alerts the topic subcribers of an update to the specified topic.
  Parameters:
    `Topic` - the Topic that has been updated
    `User` - the User who modified the Topic

### updatePerformed

    public void updatePerformed(Topic t,
                                java.util.List subs)

  Alerts the topic subcribers of an update to the specified topic.
  Parameters:
    `Topic` - the Topic that has been updated
    `subsList` - the List of Subscribers to alert

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.